Subject: bug#39659: 27.0.60; inappropriate han script definition in char-script-table

From: Eli Zaretskii <[email-masked]>
Date: Wed, 19 Feb 2020 17:43:02 +0200

> From: [email-masked]
> Cc: Kenichi Handa <[email-masked]>,  [email-masked]
> Date: Wed, 19 Feb 2020 18:53:07 +0900
> 
> >> It is better to set values as:
> >> 	3200-33FF	cjk-misc
> >> 	4DC0-4DFF	cjk-misc
> >> 	FE30-FE4F	cjk-misc
> >> 	1F200-1F2FF	cjk-misc
> >> 
> >> If enclosed CJK Ideographs should be 'han' script,
> >> enclosed Hanguls should be 'hangul' script,
> >> enclosed Katakana should be 'kana' script,
> >> and enclosed Numbers should be 'symbol' script.
> >
> > Please provide some rationale for the differences, just saying
> > "better" and "should" doesn't explain why you think the changes are
> > for the good.
> >
> > CC'ing Handa-san, who I hope will have some comments on this.
> >
> > Thanks.
> 
> Because they are not han characters.
> I think that combinatorial characters are not han characters,
> and that they are symbolic characters.

So your interpretation of cjk-misc is that they are symbols, not
letters?  I'm asking because I don't really know what is meant by
"cjk-misc", I don't think we have it documented anywhere.